<?php
include("../config/session.php");
checkSession();

if (!isset($_SESSION['v_nombasedato'])) {
    echo json_encode(["error" => "Database not specified."]);
    exit;
}

$databaseName = $_SESSION['v_nombasedato'];
require_once '../config/lgcn.php';

$productId = isset($_GET['id']) ? $_GET['id'] : '';
$loteId = isset($_GET['idlote']) ? $_GET['idlote'] : '';

//file_put_contents('debug_log1_IDprod.txt', "Productos: " . print_r($productId, true), FILE_APPEND);

if (empty($productId)) {
    echo json_encode(["error" => "No product ID provided."]);
    exit;
}

try {
    $conn = getConnection($databaseName);

    // Preparar la consulta para obtener los detalles del producto
    $stmt = $conn->prepare("SELECT id_Pro, Descripcion_Larga,idlote,UndReal, nrolote , fechavence , Preciocompra_lt  
    FROM v_producto_ylotes_nadamas WHERE id_Pro = :productId AND idlote=:loteId");
    $stmt->bindParam(':productId', $productId, PDO::PARAM_STR);
    $stmt->bindParam(':loteId', $loteId, PDO::PARAM_STR);
    $stmt->execute();
    $product = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($product) {
        //file_put_contents('debug_log1_prod.txt', "Productos: " . print_r($product, true), FILE_APPEND);

        echo json_encode($product);
    } else {
        echo json_encode(["error" => "Product not found."]);
    }

} catch (PDOException $e) {
    echo json_encode(["error" => "Error en la consulta: " . $e->getMessage()]);
}
?>
