<?php
include("../config/session.php");
checkSession();

if (!isset($_SESSION['v_nombasedato'])) {
    echo json_encode(["error" => "Database not specified."]);
    exit;
}

$databaseName = $_SESSION['v_nombasedato'];
require_once '../config/lgcn.php';

$searchTerm = isset($_POST['search']) ? $_POST['search'] : '';

try {
    $conn = getConnection($databaseName);  

// Preparar la llamada al stored procedure
$stmt = $conn->prepare("CALL Sp_buscador_Productos_constock_paravender(:p_valor)");
$stmt->bindParam(':p_valor', $searchTerm, PDO::PARAM_STR);
$stmt->execute();
$productos = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Retornar los productos como JSON
echo json_encode($productos);

} catch (PDOException $e) {
    echo json_encode(["error" => "Error en la consulta: " . $e->getMessage()]);
}
?>
