<?php
include("../config/session.php");
checkSession();

// Conexión a la base de datos
include("../config/lgcn.php");

try {
    $bd = $_SESSION['v_nombasedato'];
    $cn = getConnection($bd);

    if (!isset($_SESSION['v_idempresa'])) {
        throw new Exception("ID de empresa no establecido en la sesión.");
    }

    // Obtener los datos para los combobox
    $proveedores = $cn->query("SELECT IDPROVEE, NOMBRE FROM proveedor")->fetchAll(PDO::FETCH_ASSOC);
    $categorias = $cn->query("SELECT Id_Cat, Categoria FROM categorias")->fetchAll(PDO::FETCH_ASSOC);
    $laboratorios = $cn->query("SELECT idlab, nombreLab FROM laboratorioprod")->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode([
        'proveedor' => $proveedores,
        'categorias' => $categorias,
        'laboratorioprod' => $laboratorios
    ]);
} catch (PDOException $e) {
    echo json_encode(["error" => "Error en la consulta: " . $e->getMessage()]);
} catch (Exception $e) {
    echo json_encode(["error" => "Error: " . $e->getMessage()]);
}
?>
