<?php
// Incluir el archivo de sesión y verificar si hay una sesión activa
require_once('../config/session.php');
checkSession(); // Verificar si el usuario ha iniciado sesión
?>

<?php include('../header.php'); ?>

<!-- Start Content Page -->
<div class="container-fluid bg-light py-5">
    <div class="col-md-6 m-auto text-center">
        <h1 class="h1">Catálogo de Productos</h1>
        <p>
           Agrega un <strong>Nuevo producto</strong> o tambien agrega un <strong>Nuevo Lote</strong>, Cuidado de agregar doble producto.                        
        </p>

         <!-- Menú de botones en forma horizontal -->
         <div class="d-flex justify-content-center gap-3">
         <div class="d-flex justify-content-center gap-3">
            <a href="<?php echo BASE_URL ?>paginas/header_deinventario.php" class="btn btn-primary">Volver</a>
            <a href="<?php echo BASE_URL; ?>index.php" class="btn btn-secondary">Salir</a>           
        </div>
        </div>
    </div>
</div>

<!-- Barra de búsqueda y botones -->
<div class="container py-5">
    <div class="row">
        <div class="col-lg-8 mb-3 offset-lg-2 col-md-10 offset-md-1 col-12">
            <div class="row justify-content-center align-items-center">
                <!-- Columna para la barra de búsqueda -->
                <div class="col-md-6 mb-3 mb-md-0">
                    <input type="text" class="form-control" id="searchInput" placeholder="Buscar productos...">
                </div>
                <!-- Columna para los botones -->
                <div class="col-md-6 text-md-right">
                    <button class="btn btn-primary me-4" id="botonBuscar" data-toggle="tooltip" title="Buscar"><i class="fa fa-search"></i> Buscar</button>
                  
                    <button class="btn btn-success me-4" data-toggle="modal" data-target="#modalNuevoProducto">Nuevo</button>
                    <a class="btn btn-danger" id="botonSalir" data-toggle="tooltip" title="Salir" href="<?php echo BASE_URL; ?>paginas/logout.php"><i class="fa fa-sign-out-alt"></i> Salir</a>
                </div>
            </div>
        </div>

        <!-- Tabla de productos -->
        <div class="col-lg-10 offset-lg-1">
            <div id="productList">
                <!-- Aquí se llenará la tabla de productos -->
            </div>
        </div>
    </div>
</div>

<!-- Modal para Nuevo Producto -->
<div class="modal fade" id="modalNuevoProducto" tabindex="-1" aria-labelledby="modalNuevoProductoLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <form id="formNuevoProducto" method="POST" action="../controler/agregarproducto.php" enctype="multipart/form-data">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalNuevoProductoLabel">Nuevo Producto</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <!-- Campos ocultos para los IDs generados -->
                    <input type="hidden" id="idpro" name="lbl_idpro">
                    <input type="hidden" id="idlote" name="lbl_idlote">
                    <input type="hidden" id="idkardex" name="lbl_idkardex">
                    <div class="container-fluid">
                 


                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="CodBarra" class="form-label">Código de Barra</label>
                                    <input type="text" class="form-control text-uppercase" id="CodBarra" name="txt_CodBarra" required>
                                                                                
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="descripcion" class="form-label">Descripción</label>
                                    <input type="text" class="form-control text-uppercase" id="descripcion" name="txt_nomprod" required>
                                </div>
                                
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="idCat" class="form-label">Categoría</label>
                                    <select class="form-control" id="idCat" name="cbo_idCat" required></select>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="idlab" class="form-label">Laboratorio</label>
                                    <select class="form-control" id="idlab" name="cbo_idlab" required></select>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="IDPROVEE" class="form-label">Proveedor</label>
                                    <select class="form-control" id="IDPROVEE" name="cbo_idprovee" required></select>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="Tipo_Prod" class="form-label">Tipo de Producto</label>
                                    <select class="form-control" id="Tipo_Prod" name="cbo_Tipo_Prod" required>
                                        <option value="Generico">Genérico</option>
                                        <option value="De marca">De marca</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="Stock" class="form-label">Stock Actual</label>
                                    <input type="number" class="form-control" id="Stock" name="txt_Stock" required>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="CantxPqte" class="form-label">Cantidad por Empaque</label>
                                    <input type="number" class="form-control" id="CantxPqte" value="1" name="txt_CantxPqte" required>
                                    
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="UndMedida" class="form-label">Unidad de Medida</label>
                                    <select class="form-control" id="UndMedida" name="cbo_UndMedida" required>
                                        <option value="Und">Und</option>
                                        <option value="Kg">Kg</option>
                                        <option value="Mt">Mt</option>
                                        <option value="Mt3">Mt3</option>
                                        <option value="Sbr">Sbr</option>
                                        <option value="Ampolla">Ampolla</option>
                                        <option value="Blister">Blister</option>
                                        <option value="Bolsa">Bolsa</option>
                                        <option value="Caja">Caja</option>
                                        <option value="Capsula">Capsula</option>
                                        <option value="Ciento">Ciento</option>
                                        <option value="Docena">Docena</option>
                                        <option value="Entero">Entero</option>
                                        <option value="Frasco">Frasco</option>
                                        <option value="Galon">Galon</option>
                                        <option value="Grajea">Grajea</option>
                                        <option value="Juego 2">Juego 2</option>
                                        <option value="Juego 3">Juego 3</option>
                                        <option value="Juego 4">Juego 4</option>
                                        <option value="Juego 5">Juego 5</option>
                                        <option value="Juego 6">Juego 6</option>
                                        <option value="Kit">Kit</option>
                                        <option value="Ltr">Ltr</option>
                                        <option value="Lata">Lata</option>
                                        <option value="Millar">Millar</option>
                                        <option value="Mt L">Mt L</option>
                                        <option value="Mt²">Mt²</option>
                                        <option value="Par">Par</option>
                                        <option value="Pack">Pack</option>
                                        <option value="Pastilla">Pastilla</option>
                                        <option value="Pqte">Pqte</option>
                                        <option value="Pieza">Pieza</option>
                                        <option value="Pote">Pote</option>
                                        <option value="Rollo">Rollo</option>
                                        <option value="Sobre">Sobre</option>
                                        <option value="SixPack">SixPack</option>
                                        <option value="Saco">Saco</option>
                                        <option value="Superpack">Superpack</option>
                                        <option value="Saco 5Kg">Saco 5Kg</option>
                                        <option value="Sobre x2">Sobre x2</option>
                                        <option value="Suposit.">Suposit.</option>
                                        <option value="Tableta">Tableta</option>
                                        <option value="Zocalo">Zocalo</option>
                                    </select>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="FormaVenta" class="form-label">Se vende por KG ?</label>
                                    <select class="form-control" id="FormaVenta" name="cbo_formaVenta" required>
                                        <option value="No">No</option>
                                        <option value="Si">Sí</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="Pre_compraSol" class="form-label">Precio de Compra</label>
                                    <input type="number" step="0.01" class="form-control" id="Pre_compraSol" name="txt_Pre_compra" required>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="Pre_Venta_Menor" class="form-label">Precio de Venta</label>
                                    <input type="number" step="0.01" class="form-control" id="Pre_Venta_Menor" name="txt_Pre_Venta_Menor" required>
                                </div>
                            </div>

                            <div class="row mb-3">
                                <div class="col-sm-12 col-md-6">
                                    <label for="prod_vence" class="form-label">Producto Vence</label>
                                    <select class="form-control" id="prod_vence" name="cbo_prod_vence" required>
                                        <option value="No">No</option>
                                        <option value="Si">Sí</option>
                                    </select>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <label for="fotoprodlt" class="form-label">Foto del Producto</label>
                                    <input type="file" class="form-control" id="fotoprodlt" name="lbl_fotoprodlt">
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <!-- <label for="fechaRegistro" class="form-label">Fecha de Registro</label> -->
                                        <input type="datetime-local" class="form-control" id="fechaRegistro" name="dtp_fechareg" readonly style="display: none;">
                                </div>
                            </div>

                    </div>

                </div>
                <div class="modal-footer justify-content-start">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar Producto</button>
                </div>
                
            </form>
        </div>
    </div>
</div>
<!-- Fin del Formulario Modal -->

<!-- Modal para Editar Producto -->
<div class="modal fade" id="frm_editarproducto" tabindex="-1" aria-labelledby="modalEditarLoteLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <form id="formEditarLote" method="POST" action="../controler/editarproducto.php" enctype="multipart/form-data">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalEditarLoteLabel">Editar Producto</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                     <!-- Campos ocultos para los IDs generados -->
                                     

                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-6">
                        <label for="Idlote" class="form-label">ID Producto</label>
                        <input type="" class="form-control" id="IdProductoedt" name="lbl_idpro_edt" readonly required>                                                           
                        </div> 

                        <div class="col-sm-12 col-md-6">
                        <label for="loteDescripcionProducto" class="form-label">Descripción del Producto</label>
                        <input type="text"  class="form-control text-uppercase" id="DescripcionProductoedt" name="lbl_nomprod_edt" required>                                             
                        </div>                                             
                    
                    </div>

                    <div class="row mb-3">
                        <div class="ccol-sm-12 col-md-6">
                            <label for="nroLote" class="form-label">Precio compra</label>
                            <input type="text" class="form-control" id="precompraedt" name="txt_precompra_edt" required>
                        </div>

                        <div class="col-sm-12 col-md-6">
                            <label for="nroLote" class="form-label">Precio venta</label>
                            <input type="text" class="form-control" id="prevntaedt" name="txt_preventa_edt" required>
                        </div>                                           

                    </div>  
                    
                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-6">
                            <label for="idCat" class="form-label">Categoría</label>
                            <select class="form-control" id="idCatedt" name="cbo_idCat_edt" required></select>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <label for="idlab" class="form-label">Laboratorio</label>
                            <select class="form-control" id="idlabedt" name="cbo_idlab_edt" required></select>
                        </div>
                    </div>

                    <div class="row mb-3">                       
                        <div class="col-sm-12 col-md-6">
                            <label for="Tipo_Prod" class="form-label">Tipo producto</label>
                            <select class="form-control" id="tipoprod_edt" name="cbo_Tipo_Prodedt" required>
                                <option value="Generico">Genérico</option>
                                <option value="De marca">De marca</option>
                            </select>
                        </div>

                        <div class="col-sm-12 col-md-6">
                            <label for="UndMedida" class="form-label">Unidad de Medida</label>
                            <select class="form-control" id="UndMedidaedt" name="cbo_UndMedidaedt" required>
                                <option value="Und">Und</option>
                                <option value="Kg">Kg</option>
                                <option value="Mt">Mt</option>
                                <option value="Mt3">Mt3</option>
                                <option value="Sbr">Sbr</option>
                                <option value="Ampolla">Ampolla</option>
                                <option value="Blister">Blister</option>
                                <option value="Bolsa">Bolsa</option>
                                <option value="Caja">Caja</option>
                                <option value="Capsula">Capsula</option>
                                <option value="Ciento">Ciento</option>
                                <option value="Docena">Docena</option>
                                <option value="Entero">Entero</option>
                                <option value="Frasco">Frasco</option>
                                <option value="Galon">Galon</option>
                                <option value="Grajea">Grajea</option>
                                <option value="Juego 2">Juego 2</option>
                                <option value="Juego 3">Juego 3</option>
                                <option value="Juego 4">Juego 4</option>
                                <option value="Juego 5">Juego 5</option>
                                <option value="Juego 6">Juego 6</option>
                                <option value="Kit">Kit</option>
                                <option value="Ltr">Ltr</option>
                                <option value="Lata">Lata</option>
                                <option value="Millar">Millar</option>
                                <option value="Mt L">Mt L</option>
                                <option value="Mt²">Mt²</option>
                                <option value="Par">Par</option>
                                <option value="Pack">Pack</option>
                                <option value="Pastilla">Pastilla</option>
                                <option value="Pqte">Pqte</option>
                                <option value="Pieza">Pieza</option>
                                <option value="Pote">Pote</option>
                                <option value="Rollo">Rollo</option>
                                <option value="Sobre">Sobre</option>
                                <option value="SixPack">SixPack</option>
                                <option value="Saco">Saco</option>
                                <option value="Superpack">Superpack</option>
                                <option value="Saco 5Kg">Saco 5Kg</option>
                                <option value="Sobre x2">Sobre x2</option>
                                <option value="Suposit.">Suposit.</option>
                                <option value="Tableta">Tableta</option>
                                <option value="Zocalo">Zocalo</option>
                            </select>
                        </div>
                    </div>
                   
                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-6">
                        <label for="cantidadLote" class="form-label">Registro sanitario</label>
                        <input type="text" class="form-control text-uppercase" id="regsani_edt" name="txt_regsanita_edt">
                        </div>   

                        <div class="col-sm-12 col-md-6">
                        <label for="cantidadLote" class="form-label">Principio activo</label>
                        <input type="text" class="form-control text-uppercase" id="prinactivoedt" name="txt_PAedt">
                        </div> 
                                              
                    </div>

                    <div class="row mb-3">                       
                        <div class="col-sm-12 col-md-6">
                            <label for="Tipo_Prod" class="form-label">Forma venta</label>
                            <select class="form-control" id="formvntaedt" name="cbo_formaventa_edt" required>
                                <option value="Generico">Und</option>
                                <option value="De marca">Und-Pqte</option>
                            </select>
                        </div>

                        <div class="col-sm-12 col-md-6">
                        <label for="Stock" class="form-label">Cantidad x empaque</label>
                        <input type="number" class="form-control" id="cantxpaque_edt" name="txt_cantxEmpq_edt" required>
                        </div>                                              
                    </div>
                                  
                </div>
                <div class="modal-footer justify-content-start">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Actualizar datos</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Inicio Form lote:  -->
<!-- Modal para Nuevo Lote -->
<div class="modal fade" id="modalNuevoLote" tabindex="-1" aria-labelledby="modalNuevoLoteLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <form id="formNuevoLote" method="POST" action="../controler/nuevolote.php" enctype="multipart/form-data">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalNuevoLoteLabel">Agregar Lote o variacion de producto</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                     <!-- Campos ocultos para los IDs generados -->
                    <input type="hidden" id="loteId" name="lbl_loteId">                     

                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-6">
                        <label for="loteDescripcionProducto" class="form-label">Descripción del Producto</label>
                        <input type="text" class="form-control" id="loteDescripcionProducto" name="lbl_nomprodlote" readonly>                                             
                        </div>
                        <div class="col-sm-12 col-md-6">
                        <label for="Idlote" class="form-label">ID Producto</label>
                        <input type="" class="form-control" id="loteIdProducto" name="lbl_idpro_lt" readonly required>                                                           
                        </div>                      
                    
                    </div>

                    <div class="row mb-3">
                        <div class="col-sm-12 col-md-6">
                            <label for="nroLote" class="form-label">Lote Modelo Tamaño</label>
                            <input type="text" class="form-control text-uppercase" id="nroLote" name="txt_nroLotex" required>
                        </div>
                        <div class="col-sm-12 col-md-6">
                            <label for="fechaVencimiento" class="form-label">Fecha de Vencimiento</label>
                            <input type="date" class="form-control" id="fechavence" name="dtp_fevence_lt">
                        </div>
                        <div class="col-md-2 d-flex align-items-end">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" id="enableFechaVencimiento" name="chk_vence">
                            <label class="form-check-label" for="enableFechaVencimiento">Vence?</label>
                        </div>
                        </div>

                    </div>                    
                   
                    <div class="row mb-3">
                        <div class="col-md-6">
                        <label for="cantidadLote" class="form-label">Cantidad</label>
                        <input type="number" class="form-control" id="cantidadLote" name="txt_cantilote" required>
                        </div>   
                        <div class="col-md-6">
                        <label for="cantidadLote" class="form-label">Agregar Foto del producto</label>
                        <input type="file" class="form-control" id="fotoprodltx" name="lbl_fotoprosoloLt">
                        </div>                       
                    </div>

                    <div class="row mb-3">
                        <div class="col-md-6">
                        <label for="precioCompraLote" class="form-label">Precio de Compra</label>
                        <input type="number" step="0.01" class="form-control" id="precioCompraLote" name="txt_precompra_lt" required>
                        </div>   
                        <div class="col-md-6">
                        <label for="precioVentaLote" class="form-label">Precio de Venta</label>
                        <input type="number" step="0.01" class="form-control" id="precioVentaLote" name="txt_preventa_lt" required>
                        </div>                       
                    </div>                   
                </div>
                <div class="modal-footer justify-content-start">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar Lote</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Fin del Formulario para crear nuevo Lote -->




<!-- Start Script -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="<?php echo BASE_URL; ?>assets/js/templatemo.js"></script>
<script src="<?php echo BASE_URL; ?>assets/js/custom.js"></script>

<script>
// Scripts para cargar y buscar productos
$(document).ready(function() {
    // Función para cargar productos
    function loadProducts(page, searchTerm) {
        $.ajax({
            type: 'POST',
            url: '<?php echo BASE_URL; ?>controler/listarCatalogoprod.php',
            data: {
                page: page,
                search: searchTerm
            },
            dataType: 'json',
            success: function(response) {
                if (response.error) {
                    alert('Error: ' + response.error);
                } else {
                    displayProducts(response.productos, response.page, response.totalPages);
                }
            },
            error: function(xhr, status, error) {
                console.error('Error en la solicitud AJAX:', error);
                console.log('Estado:', status);
                console.log('Respuesta completa:', xhr.responseText);
                alert('Error en la solicitud AJAX: ' + xhr.responseText);
            }
        });
    }

    // Función para mostrar los productos
    function displayProducts(products, page, totalPages) {
    var productList = $('#productList');
    productList.empty();

    if (products.length === 0) {
        productList.html('<p>No se encontraron productos.</p>');
        return;
    }

    var tableHtml = `
    <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col" class="text-center"></th> <!-- Columna para los botones -->
                        <th scope="col">ID</th>
                        <th scope="col">Descripción</th>
                        <th scope="col">Marca</th>
                        <th scope="col">Tipo</th>
                        <th scope="col">Lote</th>
                        <th scope="col">Stock</th>
                        <th scope="col">Precio Compra</th>
                        <th scope="col">Precio Venta</th>
                        <th scope="col">Forma Venta</th>
                        <th scope="col">Categoría</th>
                    </tr>
                </thead>
                <tbody>`;

    $.each(products, function(index, producto) {
        tableHtml += `
       <tr>
                <td class="text-center">
                    <a href="#" class="btn btn-sm btn-success add-lote" data-id="${producto.id_Pro}" data-descripcion="${producto.Descripcion_Larga}" data-toggle="tooltip" title="Agregar nuevo Lote">
                        <i class="fa fa-folder-plus"></i>
                    </a>
                    <a href="#" class="btn btn-sm btn-info edit-product" data-id-edt="${producto.id_Pro}" data-toggle="tooltip" title="Editar Producto">
                        <i class="fa fa-pencil-alt"></i>
                    </a>
                </td>
                <td>${producto.id_Pro}</td>
                <td>${producto.Descripcion_Larga}</td>
                <td>${producto.nombreLab}</td>
                <td>${producto.grupocategorico}</td>
                <td>${producto.nrolote}</td>
                <td>${producto.UndReal}</td>
                <td>${producto.Preciocompra_lt}</td>
                <td>${producto.Precioventa_lt}</td>
                <td>${producto.FormaVenta}</td>
                <td>${producto.Categoria}</td>
            </tr>`;
    });

    tableHtml += `
                </tbody>
            </table>
        </div>`;;
    productList.html(tableHtml);

    var paginationHtml = `
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">`;;

    // Botón para ir a la primera página
    if (page > 1) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="1" aria-label="First">
                    <span aria-hidden="true">&laquo;&laquo;</span>
                </a>
            </li>`;
    }

    // Botón para ir a la página anterior
    if (page > 1) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${page - 1}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>`;
    }

    // Mostrar un rango limitado de páginas alrededor de la página actual
    var startPage = Math.max(1, page - 2);
    var endPage = Math.min(totalPages, page + 2);
    for (var i = startPage; i <= endPage; i++) {
        paginationHtml += `
            <li class="page-item ${i == page ? 'active' : ''}">
                <a class="page-link" href="#" data-page="${i}">${i}</a>
            </li>`;
    }

    // Botón para ir a la página siguiente
    if (page < totalPages) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${page + 1}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>`;
    }

    // Botón para ir a la última página
    if (page < totalPages) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${totalPages}" aria-label="Last">
                    <span aria-hidden="true">&raquo;&raquo;</span>
                </a>
            </li>`;
    }

    paginationHtml += `
            </ul>
        </nav>`;
    productList.append(paginationHtml);
}
    


    // fin  Función para mostrar los productos

    // Eventos para la paginación
    $(document).on('click', '.page-link', function(e) {
        e.preventDefault();
        var page = $(this).data('page');
        loadProducts(page);
    });

    // Cargar productos iniciales
    loadProducts();

    // Eventos para la búsqueda
    $('#searchInput').on('keyup', function(e) {
        if (e.keyCode === 13 || $(this).val().length > 3) {
            var searchTerm = $(this).val();
            loadProducts(1, searchTerm);
        }
    });

    $('#botonBuscar').on('click', function() {
        var searchTerm = $('#searchInput').val();
        loadProducts(1, searchTerm);
    });
});

// Función para generar ID alfanuméricos aleatorios con prefijo "PR-"
function generateProductId(length) {
    let result = 'PR-';
    const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    const charactersLength = characters.length;
    for (let i = 0; i < length; i++) {
        result += characters.charAt(Math.floor(Math.random() * charactersLength));
    }
    return result;
}

function generateLotetId(length) {
    let result = 'Lt';
    const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    const charactersLength = characters.length;
    for (let i = 0; i < length; i++) {
        result += characters.charAt(Math.floor(Math.random() * charactersLength));
    }
    return result;
}

function getKardextId(length) {
    let result = 'KR-';
    const characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
    const charactersLength = characters.length;
    for (let i = 0; i < length; i++) {
        result += characters.charAt(Math.floor(Math.random() * charactersLength));
    }
    return result;
}

// Evento para mostrar el modal de nuevo producto y generar IDs
$('#modalNuevoProducto').on('show.bs.modal', function () {
    $('#idpro').val(generateProductId(7));
    $('#idlote').val(generateLotetId(5));
    $('#idkardex').val(getKardextId(7));
    loadComboboxData();
});

// Evento para mostrar el modal de crear nuevo lote  producto y generar IDs
//$('#modalNuevoLote').on('show.bs.modal', function () {   
 //   $('#loteId').val(generateLotetId(5));   
//});



// Función para cargar los datos de los combobox
function loadComboboxData() {
    $.ajax({
        url: '../controler/getComboboxData.php',
        method: 'GET',
        dataType: 'json',
        beforeSend: function() {
            // Mostrar loader
            $('#IDPROVEE').html('<option value="">Cargando...</option>');
            $('#idCat').html('<option value="">Cargando...</option>');
            $('#idlab').html('<option value="">Cargando...</option>');
        },
        success: function(data) {
            if (data.error) {
                alert('Error: ' + data.error);
            } else {
                // Llenar combobox de proveedores
                var proveedoresOptions = '<option value="">Seleccionar Proveedor</option>';
                $.each(data.proveedor, function(index, proveedor) {
                    proveedoresOptions += '<option value="' + proveedor.IDPROVEE + '">' + proveedor.NOMBRE + '</option>';
                });
                $('#IDPROVEE').html(proveedoresOptions);

                // Llenar combobox de categorías
                var categoriasOptions = '<option value="">Seleccionar Categoría</option>';
                $.each(data.categorias, function(index, categoria) {
                    categoriasOptions += '<option value="' + categoria.Id_Cat + '">' + categoria.Categoria + '</option>';
                });
                $('#idCat').html(categoriasOptions);

                // Llenar combobox de laboratorios
                var laboratoriosOptions = '<option value="">Seleccionar Laboratorio</option>';
                $.each(data.laboratorioprod, function(index, laboratorio) {
                    laboratoriosOptions += '<option value="' + laboratorio.idlab + '">' + laboratorio.nombreLab + '</option>';
                });
                $('#idlab').html(laboratoriosOptions);
            }
        },
        error: function(xhr, status, error) {
            console.error('Error en la solicitud AJAX:', error);
        }
    });
}


// Solo para Editar loadCombo:
function loadComboboxEditar() {
    return $.ajax({
        url: '../controler/getComboboxData.php',
        method: 'GET',
        dataType: 'json',
        beforeSend: function() {
            // Mostrar loader           
            $('#idCatedt').html('<option value="">Cargando...</option>');
            $('#idlabedt').html('<option value="">Cargando...</option>');
        },
        success: function(data) {
            if (data.error) {
                alert('Error: ' + data.error);
            } else {
                // Llenar combobox de categorías
                var categoriasOptions = '<option value="">Seleccionar Categoría</option>';
                $.each(data.categorias, function(index, categoria) {
                    categoriasOptions += '<option value="' + categoria.Id_Cat + '">' + categoria.Categoria + '</option>';
                });
                $('#idCatedt').html(categoriasOptions);

                // Llenar combobox de laboratorios
                var laboratoriosOptions = '<option value="">Seleccionar Laboratorio</option>';
                $.each(data.laboratorioprod, function(index, laboratorio) {
                    laboratoriosOptions += '<option value="' + laboratorio.idlab + '">' + laboratorio.nombreLab + '</option>';
                });
                $('#idlabedt').html(laboratoriosOptions);
            }
        },
        error: function(xhr, status, error) {
            console.error('Error en la solicitud AJAX:', error);
        }
    });
}

//:::::  ============================================== GUARDAR EL PRODUCTO EDITADO =============================
$(document).ready(function() {
    $('#formEditarProducto').submit(function(event) {
        event.preventDefault(); // Evitar el envío del formulario por defecto

        var formData = $(this).serialize(); // Serializar los datos del formulario

        $.ajax({
            url: '../controler/editarproducto.php',
            method: 'POST',
            data: formData,
            success: function(response) {
                var result = JSON.parse(response);
                if (result.error) {
                    alert('Error: ' + result.error);
                } else {
                    alert('Producto actualizado con éxito');
                    $('#frm_editarproducto').modal('hide');
                    // Actualizar la lista de productos si es necesario
                }
            },
            error: function(xhr, status, error) {
                console.error('Error en la solicitud AJAX:', error);
            }
        });
    });
});



// Código para establecer la fecha y hora actuales en un campo de entrada
document.addEventListener('DOMContentLoaded', (event) => {
    const now = new Date();
    const year = now.getFullYear();
    const month = String(now.getMonth() + 1).padStart(2, '0');
    const day = String(now.getDate()).padStart(2, '0');
    const hour = String(now.getHours()).padStart(2, '0');
    const minute = String(now.getMinutes()).padStart(2, '0');

    const formattedDateTime = `${year}-${month}-${day}T${hour}:${minute}`;
    const formattedDate = `${year}-${month}-${day}`;

    // Establecer la fecha y hora actual en el campo datetime-local del formulario Nuevo Producto
    const fechaRegistroInput = document.getElementById('fechaRegistro');
    if (fechaRegistroInput) {
        fechaRegistroInput.value = formattedDateTime;
    }

    // Establecer solo la fecha actual en el campo date del formulario Crear Nuevo Lote
    const fechaVencimientoInput = document.getElementById('fechavence');
    if (fechaVencimientoInput) {
        fechaVencimientoInput.value = formattedDate;
    }         
           
});





// Código para abrir el modal de nuevo lote y asignar valores
$(document).on('click', '.add-lote', function() {
    var productoId = $(this).data('id');
    var descripcionProducto = $(this).data('descripcion');

    
    $('#loteIdProducto').val(productoId);
    $('#loteDescripcionProducto').val(descripcionProducto);
    $('#loteId').val(generateLotetId(5)); // Genera un nuevo ID para el lote

    $('#modalNuevoLote').modal('show');
});

//--------------------------------------------------------------------------------------- ABRIR FORM EDITAR -------------------------------------------

// Código para abrir el modal de: Editar productoy asignar valores
$(document).on('click', '.edit-product', function() {
    var productoId = $(this).data('id-edt');
    //alert(productoId);
    // Llamada AJAX para obtener los detalles del producto
    $.ajax({
        url: '../controler/buscarprodcto_editar.php', // Cambia a la ruta correcta de tu API
        method: 'GET',
        data: { id: productoId },
        success: function(response) {
            // Supongamos que la respuesta es un objeto JSON con los datos del producto
            var producto = JSON.parse(response);
           
            if (producto.error) {
                alert(producto.error);
                return;
            }

            // Primero cargar los comboboxes
            loadComboboxEditar().done(function() {
                // Luego asignar los valores del producto a los campos del formulario
                $('#IdProductoedt').val(producto.id_Pro);
                $('#DescripcionProductoedt').val(producto.Descripcion_Larga);
                $('#precompraedt').val(producto.Pre_CompraS);
                $('#prevntaedt').val(producto.Pre_vntaxMenor);
                $('#idCatedt').val(producto.Id_Cat);
                $('#idlabedt').val(producto.idlab);
                $('#formvntaedt').val(producto.FormaVenta);  //tipoprod_edt
                $('#UndMedidaedt').val(producto.UndMedida);
                $('#regsani_edt').val(producto.RegSanitario);
                $('#prinactivoedt').val(producto.Prin_Acti);
                $('#cantxpaque_edt').val(producto.CantxPqte);
                $('#tipoprod_edt').val(producto.grupocategorico);

                // Mostrar el modal
                $('#frm_editarproducto').modal('show');
            });
        },
        error: function(xhr, status, error) {
            // Manejar el error si ocurre
            console.error(error);
        }
    });
});



// Habilitar o deshabilitar el control de Fecha de Vencimiento del Lote
document.addEventListener('DOMContentLoaded', function() {
    const fechaVencimiento = document.getElementById('fechaVencimiento');
    const enableFechaVencimiento = document.getElementById('enableFechaVencimiento');

    enableFechaVencimiento.addEventListener('change', function() {
        if (this.checked) {
            fechaVencimiento.disabled = false;
        } else {
            fechaVencimiento.disabled = true;
        }
    });
});


//Codigo que me permite hacer un cierre de cesion automatico:
$(document).ready(function() {
            

            var maxInactivityDuration = 60 * 60 * 1000; // 1 hora en milisegundos
            var warningDuration = 5 * 60 * 1000; // 5 minutos en milisegundos
            var timeout;
            var warningTimeout;

            function resetTimeouts() {
                clearTimeout(timeout);
                clearTimeout(warningTimeout);
                console.log('Resetting timeouts'); 
                timeout = setTimeout(logoutUser, maxInactivityDuration); // Cierra la sesión después del tiempo máximo
                warningTimeout = setTimeout(showWarning, maxInactivityDuration - warningDuration); // Muestra la advertencia antes de cerrar sesión
            }

            function showWarning() {
                console.log('Warning: Session will expire soon');
             alert("Tu sesión está a punto de expirar en 1 minutos debido a inactividad. Por favor, guarda tu trabajo.");
            }

            function logoutUser() {
                console.log('Logging out user');
                alert("Se ha cerrado la sesión por inactividad.");
                window.location.href = 'logout.php'; // Redirige a la página de cierre de sesión
            }

            // Resetea el temporizador en cualquier evento de actividad
            $(document).on('mousemove keypress click scroll', function() {
                resetTimeouts();
            });

            resetTimeouts(); // Inicializa el temporizador al cargar la página
        });




</script>





<?php include('../footer.php'); ?>
</body>
</html>
