<?php
// Incluir el archivo de sesión y verificar si hay una sesión activa
require_once('../config/session.php');
checkSession(); // Verificar si el usuario ha iniciado sesión
?>

<?php include('../header.php'); ?>

<!-- Start Content Page -->
<div class="container-fluid bg-light py-5">
    <div class="col-md-6 m-auto text-center">
        <h1 class="h1">Ajuste de inventario</h1>
        <p>
           Estas modo para hacer <strong>Ajuste de inventario</strong> esta funcion permite <strong>Resetear el Stock de cada Lote</strong>, Sé cuidadoso.                        
        </p>

        <!-- Menú de botones en forma horizontal -->
        <div class="d-flex justify-content-center gap-3">
            <a href="<?php echo BASE_URL ?>paginas/header_deinventario.php" class="btn btn-primary">Volver</a>
            <a href="<?php echo BASE_URL; ?>index.php" class="btn btn-secondary">Salir</a>           
        </div>
    </div>
</div>

<!-- Barra de búsqueda y botones -->
<div class="container py-5">
    <div class="row justify-content-center">
        <div class="col-lg-8 col-md-10 col-12">
            <div class="row justify-content-center align-items-center">
                <!-- Columna para la barra de búsqueda -->
                <div class="col-md-6 col-12 mb-3 mb-md-0">
                    <input type="text" class="form-control" id="searchInput" placeholder="Buscar productos...">
                </div>
                <!-- Columna para los botones -->
                <div class="col-md-6 col-12 text-md-right text-center">
                    <button class="btn btn-primary" id="botonBuscar" data-toggle="tooltip" title="Buscar">
                        <i class="fa fa-search"></i> Buscar
                    </button>
                </div>
            </div>
        </div>

        <!-- Tabla de productos -->
        <div class="col-lg-10 col-12 mt-4">
            <div id="productList">
                <!-- Aquí se llenará la tabla de productos -->
            </div>
        </div>
    </div>
</div>

<!-- Modal para Nuevo Producto -->

<!-- Fin del Formulario Modal -->

<!-- Modal para Editar Producto -->


<!-- Inicio Form lote:  -->
<!-- Modal para Nuevo Lote -->
<div class="modal fade" id="modalNuevoLote" tabindex="-1" aria-labelledby="modalNuevoLoteLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
            <form id="formNuevoLote" method="POST" action="../controler/BD_resetearstock_ajusinven.php" enctype="multipart/form-data">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalNuevoLoteLabel">Agrega la nueva Cantidad</h5>
                    <button type="button" class="btn-close" data-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                     <!-- Campos ocultos para los IDs  -->
                    <input type="hidden" id="loteId" name="lbl_loteId"> 
                    <input type="hidden" id="idprod_lt" name="lbl_idpro_lt">    
                    <input type="hidden" id="precompra" name="lbl_precompra_lt">                     

                    <div class="row mb-3">
                        <div class="col-md-6">
                        <label for="loteDescripcionProducto" class="form-label">Descripción del Producto</label>
                        <input type="text" class="form-control" id="loteDescripcionProducto" name="lbl_nomprodlote" readonly>                                             
                        </div>
                        <div class="col-md-6">
                        <label for="Idlote" class="form-label">Lote</label>
                        <input type="text" class="form-control" id="nomlote" name="lbl_nombrelote_lt" readonly>                                                           
                        </div>                      
                    
                    </div>                                   
                   
                    <div class="row mb-3">
                        <div class="col-md-6">
                        <label for="cantidadLote" class="form-label">Cantidad Actual</label>
                        <input type="number" class="form-control" id="cantidadLote" name="txt_cantilote" readonly>
                        </div>  
                        <div class="col-md-6">
                        <label for="cantidadLote" class="form-label">Nueva Cantidad</label>
                        <input type="number" class="form-control" id="newcant_Lote" name="txt_newcant_lt" required>
                        </div>   
                                            
                    </div>

                    <div class="row mb-3">
                        <div class="col-md-6">
                        <label for="precioCompraLote" class="form-label">Diferencia</label>
                        <input type="number" step="0.01" class="form-control" id="diferen_cant_lt" name="txt_canti_diferencia_lt" readonly required>
                        </div>   
                        <div class="col-md-6">
                        <label for="precioVentaLote" class="form-label">Importe S/</label>
                        <input type="number" step="0.01" class="form-control" id="importe_diferenc_lt" name="txt_importe_diferencia_lt" readonly required>
                        </div>                       
                    </div>                   
                </div>
                <div class="modal-footer justify-content-start">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Fin del Formulario para crear nuevo Lote -->




<!-- Start Script -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="<?php echo BASE_URL; ?>assets/js/templatemo.js"></script>
<script src="<?php echo BASE_URL; ?>assets/js/custom.js"></script>

<script>
// Scripts para cargar y buscar productos
$(document).ready(function() {
    // Función para cargar productos
    function loadProducts(page, searchTerm) {
        $.ajax({
            type: 'POST',
            url: '<?php echo BASE_URL; ?>controler/listarCatalogoprod.php',
            data: {
                page: page,
                search: searchTerm
            },
            dataType: 'json',
            success: function(response) {
                if (response.error) {
                    alert('Error: ' + response.error);
                } else {
                    displayProducts(response.productos, response.page, response.totalPages);
                }
            },
            error: function(xhr, status, error) {
                console.error('Error en la solicitud AJAX:', error);
                console.log('Estado:', status);
                console.log('Respuesta completa:', xhr.responseText);
                alert('Error en la solicitud AJAX: ' + xhr.responseText);
            }
        });
    }

    // Función para mostrar los productos
    function displayProducts(products, page, totalPages) {
    var productList = $('#productList');
    productList.empty();

    if (products.length === 0) {
        productList.html('<p>No se encontraron productos.</p>');
        return;
    }

    var tableHtml = `
    <div class="table-responsive">
            <table class="table table-striped table-bordered table-hover">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col" class="text-center"></th>
                        <th scope="col" class="d-none">ID</th>
                        <th scope="col">Descripción</th>
                        <th scope="col" class="text-center">Lote</th>
                        <th scope="col" class="text-center">Vence</th>
                        <th scope="col">Laboratorio</th>
                        <th scope="col" class="text-center">Stock Actual</th>
                        <th scope="col" class="d-none">IdLote</th>
                    </tr>
                </thead>
                <tbody>`;

    $.each(products, function(index, producto) {
        tableHtml += `
       <tr data-id="${producto.id_Pro}" data-idlote="${producto.idlote}">
                <td class="text-center">
                    <a href="#" class="btn btn-sm btn-info edit-stock" 
                       data-id-edt="${producto.id_Pro}" 
                       data-idlote="${producto.idlote}" 
                       data-toggle="tooltip" 
                       title="Ajustar Cantidad">
                       <i class="fa fa-pencil-alt"></i>
                    </a>
                </td>
                <td class="d-none">${producto.id_Pro}</td>
                <td>${producto.Descripcion_Larga}</td>
                <td class="text-center">${producto.nrolote}</td>
                <td class="text-center">${producto.fechavence}</td>
                <td>${producto.nombreLab}</td>
                <td class="text-center">${producto.UndReal}</td>
                <td class="d-none">${producto.idlote}</td>
            </tr>`;
    });

    tableHtml += `
                </tbody>
            </table>
        </div>`;;
    productList.html(tableHtml);

    //Agregamos el doble clic:
    $('#productList').find('tr').on('dblclick', function() {

        //simulacion el doble clic:
        $(this).find('.edit-stock').click();


    })


    var paginationHtml = `
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">`;

    // Botón para ir a la primera página
    if (page > 1) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="1" aria-label="First">
                    <span aria-hidden="true">&laquo;&laquo;</span>
                </a>
            </li>`;
    }

    // Botón para ir a la página anterior
    if (page > 1) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${page - 1}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>`;
    }

    // Mostrar un rango limitado de páginas alrededor de la página actual
    var startPage = Math.max(1, page - 2);
    var endPage = Math.min(totalPages, page + 2);
    for (var i = startPage; i <= endPage; i++) {
        paginationHtml += `
            <li class="page-item ${i == page ? 'active' : ''}">
                <a class="page-link" href="#" data-page="${i}">${i}</a>
            </li>`;
    }

    // Botón para ir a la página siguiente
    if (page < totalPages) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${page + 1}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>`;
    }

    // Botón para ir a la última página
    if (page < totalPages) {
        paginationHtml += `
            <li class="page-item">
                <a class="page-link" href="#" data-page="${totalPages}" aria-label="Last">
                    <span aria-hidden="true">&raquo;&raquo;</span>
                </a>
            </li>`;
    }

    paginationHtml += `
            </ul>
        </nav>`;
    productList.append(paginationHtml);
}
    


    // fin  Función para mostrar los productos

    // Eventos para la paginación
    $(document).on('click', '.page-link', function(e) {
        e.preventDefault();
        var page = $(this).data('page');
        loadProducts(page);
    });

    // Cargar productos iniciales
    loadProducts();

    // Eventos para la búsqueda
    $('#searchInput').on('keyup', function(e) {
        if (e.keyCode === 13 || $(this).val().length > 3) {
            var searchTerm = $(this).val();
            loadProducts(1, searchTerm);
        }
    });

    $('#botonBuscar').on('click', function() {
        var searchTerm = $('#searchInput').val();
        loadProducts(1, searchTerm);
    });
});


// Código para establecer la fecha y hora actuales en un campo de entrada
document.addEventListener('DOMContentLoaded', (event) => {
    const now = new Date();
    const year = now.getFullYear();
    const month = String(now.getMonth() + 1).padStart(2, '0');
    const day = String(now.getDate()).padStart(2, '0');
    const hour = String(now.getHours()).padStart(2, '0');
    const minute = String(now.getMinutes()).padStart(2, '0');

    const formattedDateTime = `${year}-${month}-${day}T${hour}:${minute}`;
    const formattedDate = `${year}-${month}-${day}`;

    // Establecer la fecha y hora actual en el campo datetime-local del formulario Nuevo Producto
    const fechaRegistroInput = document.getElementById('fechaRegistro');
    if (fechaRegistroInput) {
        fechaRegistroInput.value = formattedDateTime;
    }

    // Establecer solo la fecha actual en el campo date del formulario Crear Nuevo Lote
    const fechaVencimientoInput = document.getElementById('fechavence');
    if (fechaVencimientoInput) {
        fechaVencimientoInput.value = formattedDate;
    }         
           
});



// Código para abrir el modal de nuevo lote y asignar valores
$(document).on('click', '.edit-stock', function() {
    var productoId = $(this).data('id-edt');
    var xloteId = $(this).data('idlote');

    $.ajax({

        url: '../controler/buscarlote_para_ajusteinven.php',  //Hacemos la consultar para obtener los datos del lote a ajustar su stock
        method: 'GET',
        data: { id: productoId ,  idlote: xloteId },
        success: function(response) {

            var loteprod = JSON.parse(response);                      
            
           if (loteprod.error) {
               alert(loteprod.error);
               return;
           }

          
           $('#loteId').val(loteprod.idlote);
           $('#idprod_lt').val(loteprod.id_Pro);        // ID del producto 
            $('#loteDescripcionProducto').val(loteprod.Descripcion_Larga);    
            $('#nomlote').val(loteprod.nrolote);
            $('#cantidadLote').val(loteprod.UndReal);  
            $('#precompra').val(loteprod.Preciocompra_lt);
   
            // Mostrar el modal
            $('#modalNuevoLote').modal('show');           
            
        },     

        error: function(xhr, status, error) {
            // Manejar el error si ocurre
            console.error(error);
        }
    });  
       
});

// Enfocar automáticamente en 'newcant_Lote' cuando se muestra el modal
$('#modalNuevoLote').on('shown.bs.modal', function () {
    $('#newcant_Lote').focus();
});

//--------------------------------------------------------------------------------------- HALLAR DIFERENCIA -------------------------------------------
$(document).ready(function() {

    // Limpiar campos al abrir el modal
    $('#modalNuevoLote').on('show.bs.modal', function () {
        // Limpiar los campos que deseas resetear
        $('#diferen_cant_lt').val('');
        $('#importe_diferenc_lt').val('');
        $('#newcant_Lote').val('');
    });


    // Detectar cambio en el campo de nueva cantidad
    $('#newcant_Lote').on('input', function() {
        // Obtener los valores actuales
        var cantidadActual = parseFloat($('#cantidadLote').val());
        var nuevaCantidad = parseFloat($(this).val());
        var precioCompra = parseFloat($('#precompra').val());

        // Asegurarse de que los valores son válidos
        if (!isNaN(cantidadActual) && !isNaN(nuevaCantidad) && !isNaN(precioCompra)) {
            // Calcular la diferencia de cantidad
            var diferenciaCantidad = nuevaCantidad - cantidadActual;

            // Mostrar la diferencia en el campo correspondiente
            $('#diferen_cant_lt').val(diferenciaCantidad.toFixed(2));

            // Calcular el importe de la diferencia
            var importeDiferencia = diferenciaCantidad * precioCompra;

            // Mostrar el importe de la diferencia en el campo correspondiente
            $('#importe_diferenc_lt').val(importeDiferencia.toFixed(2));
        }
    });
});



// ============================================= FIN DE METODO PARA CALCULAR LA DIFERENCIA ===

//Codigo que me permite hacer un cierre de cesion automatico:
$(document).ready(function() {
            

            var maxInactivityDuration = 60 * 60 * 1000; // 1 hora en milisegundos
            var warningDuration = 5 * 60 * 1000; // 5 minutos en milisegundos
            var timeout;
            var warningTimeout;

            function resetTimeouts() {
                clearTimeout(timeout);
                clearTimeout(warningTimeout);
                console.log('Resetting timeouts'); 
                timeout = setTimeout(logoutUser, maxInactivityDuration); // Cierra la sesión después del tiempo máximo
                warningTimeout = setTimeout(showWarning, maxInactivityDuration - warningDuration); // Muestra la advertencia antes de cerrar sesión
            }

            function showWarning() {
                console.log('Warning: Session will expire soon');
             alert("Tu sesión está a punto de expirar en 1 minutos debido a inactividad. Por favor, guarda tu trabajo.");
            }

            function logoutUser() {
                console.log('Logging out user');
                alert("Se ha cerrado la sesión por inactividad.");
                window.location.href = 'logout.php'; // Redirige a la página de cierre de sesión
            }

            // Resetea el temporizador en cualquier evento de actividad
            $(document).on('mousemove keypress click scroll', function() {
                resetTimeouts();
            });

            resetTimeouts(); // Inicializa el temporizador al cargar la página
        });




</script>





<?php include('../footer.php'); ?>
</body>
</html>
